<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Google.Apis.Auth" Version="1.70.0" />
    <PackageReference Include="Hangfire.AspNetCore" Version="1.8.21" />
    <PackageReference Include="Hangfire.Core" Version="1.8.21" />
    <PackageReference Include="Hangfire.SqlServer" Version="1.8.21" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.0-rc.1.25451.107">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.12.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="10.0.0-rc.1.25451.107" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BimAI.Application\BimAI.Application.csproj" />
    <ProjectReference Include="..\BimAI.Infrastructure\BimAI.Infrastructure.csproj" />
  </ItemGroup>

</Project>
